/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        20.05.2024
 Description:    ADC Routinen
------------------------------------------------------------------------------*/


#ifndef _ADC_H
	#define _TIMER_H

	#include <avr/io.h>
	#include <avr/interrupt.h>
	
	#define MAX_ADC_CH 64 
	#define ADC_START ADCSRA=(1<<ADEN)|(1<<ADSC)|(1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0)|(1<<ADIE);
	
	volatile unsigned char adc_ch[MAX_ADC_CH];
	
	void adc_init (void);
	
#endif //_ADC_H